Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net.search.local
Class TAN

    java.lang.Object
      weka.classifiers.bayes.net.search.SearchAlgorithm
          weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
              weka.classifiers.bayes.net.search.local.TAN

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class TAN

extends LocalScoreSearchAlgorithm

Search for TAN = Tree Augmented Naive Bayes network structure N. Friedman, D. Geiger, M. Goldszmidt. Bayesian Network Classifiers. Machine Learning, 29: 131--163, 1997

Version:
  $Revision: 1.1.2.1 $
Author:
  Remco Bouckaert
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`TAGS_SCORE_TYPE`

Constructor Summary
`TAN()`

Method Summary
`void` | `buildStructure(BayesNet bayesNet, Instances instances)` buildStructure determines the network structure/graph of the network using the maximimum weight spanning tree algorithm of Chow and Liu
`java.lang.String[]` | `getOptions()` Gets the current settings of the Classifier.
`java.lang.String` | `globalInfo()` This will return a string describing the classifier.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getScoreType, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setScoreType`

Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm
`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TAN

    public TAN()

Method Detail

### buildStructure

    public void buildStructure(BayesNet bayesNet,
                               Instances instances)
                        throws java.lang.Exception

  buildStructure determines the network structure/graph of the network using the maximimum weight spanning tree algorithm of Chow and Liu

  Overrides:
    `buildStructure` in class `LocalScoreSearchAlgorithm`
  Throws:
    `java.lang.Exception`

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `LocalScoreSearchAlgorithm`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the Classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an array of strings suitable for passing to setOptions

### globalInfo

    public java.lang.String globalInfo()

  This will return a string describing the classifier.

  Returns:
    The string.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD